[P037]Legal Indicators

get
https://connect.patsnap.com/patent-valuation-data/legal_indicators
Try in Sandbox

Receive patent legal valuation score data by patent_id or patent_number. This includes litigation Authority, litigation count, re-examination or invalidation activity, legal status, patent age, remaining life of the patent, and pending time.

1.The API supports batch requests with a maximum of 100 patents, and more patent id or patent number are separated with English comma.Batch requests are deducted from traffic/costs, and will be deducted multiple times based on the number of successful results returned.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
patent_id
stringc3efa1e6-a2c3-4502-b5e7-97fcf570cfd3
patent_id
patent_number
stringUS5012236A
patent_number

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
array-
response data
pn
stringUS11205304B2
patent number
patent_id
string718ead9c-4f3c-4674-8f5a-24e126827269
patent id
patsnap_legal_value
objectPlease check the form: LegalValue
legal indicators
granted_no
integer<int32>3
Family granted patent count
legal_status
stringExpired
Patent legal status:

Published, Examining, Granted, Abandoned, Withdrawn, Expired, Non-Payment, Ceased

litigation_no
integer<int32>2
Litigation count
patent_age_day
integer<int32>1923
Patent age
invalid_fail_no
integer<int32>1
Number of invalid failures
grant_waiting_day
integer<int32>704
Patent pending time
has_reexam_invalid
stringTRUE
Whether has re-examination or invalidation activity
invalid_success_no
integer<int32>1
Number of invalid successes
litigation_country
array[ "US" ]
Litigation Authority
in_application_ratio
number<double>0.75
Ratio of patents at the application stage in the simple family
remaining_time_ratio
number<double>0.74
Patent remaining time ratio
avg_originality_index
number<double>0.41
Tech Original Index
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": [
    {
      "pn": "US11205304B2",
      "patent_id": "718ead9c-4f3c-4674-8f5a-24e126827269",
      "patsnap_legal_value": {
        "granted_no": 3,
        "legal_status": "Expired",
        "litigation_no": 2,
        "patent_age_day": 1923,
        "invalid_fail_no": 1,
        "grant_waiting_day": 704,
        "has_reexam_invalid": "TRUE",
        "invalid_success_no": 1,
        "litigation_country": [
          "US"
        ],
        "in_application_ratio": 0.75,
        "remaining_time_ratio": 0.74,
        "avg_originality_index": 0.41
      }
    }
  ],
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200001API call exceeds the total limit set by the platform!
67200002Quota exceeds the limit!
67200003Access token expired or authentication error!
67200004No permission or API package quota has exceeded the limit!
67200005Insufficient balance, call failed!
67200006This client has expired and call failed!
67200007Exceeded the call limit, call failed!

HTTP Status Codes

Status CodeDescription
0Success
401Unauthorized
403Forbidden
404Not Found

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms